#include "includeeditor.h"

IncludeEditor::IncludeEditor(QString inclstr, const QString &_dir, QWidget *parent  , Qt::WindowFlags f) : QDialog(parent,f){
    setWindowTitle(QString("included file :%1").arg(inclstr));
    fileName = inclstr.remove(QRegExp("^\\+"));

    dirName=_dir;
    fileName=QString("%1/%2").arg(dirName).arg(fileName);
    setMinimumWidth(500);
    //qDebug()<<fileName;
    //QVBoxLayout *pvla = new QVBoxLayout();
    edi = new CodeEditor();
    QString inspatternfile=":ins_res_style.ini";
    edi->highlighter->loadHighlightPatterns(inspatternfile);
    QFont font;
    font.setFamily("Monospace");
    font.setFixedPitch(true);
    font.setPointSize(9);
    edi->setFont(font);
    edi->setLineWrapMode(QPlainTextEdit::NoWrap);
    QFile p(fileName);
    p.open(QIODevice::ReadOnly|QIODevice::Text);
    edi->setPlainText(p.readAll());
    p.close();
    edi->setReadOnly(true);

    QDialogButtonBox *buttonBox = new QDialogButtonBox(QDialogButtonBox::Save | QDialogButtonBox::Cancel);
    ok = buttonBox->button(QDialogButtonBox::Save);

    ok->setDisabled(true);
    connect(buttonBox, SIGNAL(accepted()), this, SLOT(accept()));
    connect(buttonBox, SIGNAL(rejected()), this, SLOT(reject()));
    QVBoxLayout *lo = new QVBoxLayout();
    lo->addWidget(edi);
    lo->addWidget(buttonBox);
    setLayout(lo);
    //this->setWindowState(Qt::WindowMaximized);
}

void IncludeEditor::setDirName(const QString &_dir){
    dirName=_dir;
}
